# Python SDK for Opsgenie REST API

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 2.0.0
- Package version: 2.0.1
- Build package: com.atlassian.opsgenie.codegen.geniepy.GeniepyGenerator

For more information, please visit [https://www.opsgenie.com/contact-us](https://www.opsgenie.com/contact-us)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install opsgenie-sdk
```
(you may need to run `pip` with root permission: `sudo pip install opsgenie-sdk`)

Then import the package:
```python
import opsgenie_sdk 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import opsgenie_sdk
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import opsgenie_sdk
from opsgenie_sdk.rest import ApiException
from pprint import pprint

configuration = opsgenie_sdk.Configuration()
# Configure API key authorization: GenieKey
configuration.api_key['Authorization'] = 'YOUR_API_KEY'

# create an instance of the API class
api_instance = opsgenie_sdk.AccountApi(opsgenie_sdk.ApiClient(configuration))

try:
    # Get Account Info
    api_response = api_instance.get_info()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->get_info: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.opsgenie.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountApi* | [**get_info**](docs/AccountApi.md#get_info) | **GET** /v2/account | Get Account Info
*AlertApi* | [**acknowledge_alert**](docs/AlertApi.md#acknowledge_alert) | **POST** /v2/alerts/{identifier}/acknowledge | Acknowledge Alert
*AlertApi* | [**add_attachment**](docs/AlertApi.md#add_attachment) | **POST** /v2/alerts/{identifier}/attachments | Add Alert Attachment
*AlertApi* | [**add_details**](docs/AlertApi.md#add_details) | **POST** /v2/alerts/{identifier}/details | Add Details
*AlertApi* | [**add_note**](docs/AlertApi.md#add_note) | **POST** /v2/alerts/{identifier}/notes | Add Note
*AlertApi* | [**add_responder**](docs/AlertApi.md#add_responder) | **POST** /v2/alerts/{identifier}/responders | Add Responder
*AlertApi* | [**add_tags**](docs/AlertApi.md#add_tags) | **POST** /v2/alerts/{identifier}/tags | Add Tags
*AlertApi* | [**add_team**](docs/AlertApi.md#add_team) | **POST** /v2/alerts/{identifier}/teams | Add Team
*AlertApi* | [**assign_alert**](docs/AlertApi.md#assign_alert) | **POST** /v2/alerts/{identifier}/assign | Assign Alert
*AlertApi* | [**close_alert**](docs/AlertApi.md#close_alert) | **POST** /v2/alerts/{identifier}/close | Close Alert
*AlertApi* | [**count_alerts**](docs/AlertApi.md#count_alerts) | **GET** /v2/alerts/count | Count Alerts
*AlertApi* | [**create_alert**](docs/AlertApi.md#create_alert) | **POST** /v2/alerts | Create Alert
*AlertApi* | [**create_saved_searches**](docs/AlertApi.md#create_saved_searches) | **POST** /v2/alerts/saved-searches | Create Saved Search
*AlertApi* | [**delete_alert**](docs/AlertApi.md#delete_alert) | **DELETE** /v2/alerts/{identifier} | Delete Alert
*AlertApi* | [**delete_saved_search**](docs/AlertApi.md#delete_saved_search) | **DELETE** /v2/alerts/saved-searches/{identifier} | Delete Saved Search
*AlertApi* | [**escalate_alert**](docs/AlertApi.md#escalate_alert) | **POST** /v2/alerts/{identifier}/escalate | Escalate Alert
*AlertApi* | [**execute_custom_alert_action**](docs/AlertApi.md#execute_custom_alert_action) | **POST** /v2/alerts/{identifier}/actions/{actionName} | Custom Alert Action
*AlertApi* | [**get_alert**](docs/AlertApi.md#get_alert) | **GET** /v2/alerts/{identifier} | Get Alert
*AlertApi* | [**get_attachment**](docs/AlertApi.md#get_attachment) | **GET** /v2/alerts/{identifier}/attachments/{attachmentId} | Get Alert Attachment
*AlertApi* | [**get_request_status**](docs/AlertApi.md#get_request_status) | **GET** /v2/alerts/requests/{requestId} | Get Request Status of Alert
*AlertApi* | [**get_saved_search**](docs/AlertApi.md#get_saved_search) | **GET** /v2/alerts/saved-searches/{identifier} | Get Saved Search
*AlertApi* | [**list_alerts**](docs/AlertApi.md#list_alerts) | **GET** /v2/alerts | List Alerts
*AlertApi* | [**list_attachments**](docs/AlertApi.md#list_attachments) | **GET** /v2/alerts/{identifier}/attachments | List Alert Attachments
*AlertApi* | [**list_logs**](docs/AlertApi.md#list_logs) | **GET** /v2/alerts/{identifier}/logs | List Alert Logs
*AlertApi* | [**list_notes**](docs/AlertApi.md#list_notes) | **GET** /v2/alerts/{identifier}/notes | List Alert Notes
*AlertApi* | [**list_recipients**](docs/AlertApi.md#list_recipients) | **GET** /v2/alerts/{identifier}/recipients | List Alert Recipients
*AlertApi* | [**list_saved_searches**](docs/AlertApi.md#list_saved_searches) | **GET** /v2/alerts/saved-searches | Lists Saved Searches
*AlertApi* | [**remove_attachment**](docs/AlertApi.md#remove_attachment) | **DELETE** /v2/alerts/{identifier}/attachments/{attachmentId} | Remove Alert Attachment
*AlertApi* | [**remove_details**](docs/AlertApi.md#remove_details) | **DELETE** /v2/alerts/{identifier}/details | Remove Details
*AlertApi* | [**remove_tags**](docs/AlertApi.md#remove_tags) | **DELETE** /v2/alerts/{identifier}/tags | Remove Tags
*AlertApi* | [**snooze_alert**](docs/AlertApi.md#snooze_alert) | **POST** /v2/alerts/{identifier}/snooze | Snooze Alert
*AlertApi* | [**un_acknowledge_alert**](docs/AlertApi.md#un_acknowledge_alert) | **POST** /v2/alerts/{identifier}/unacknowledge | UnAcknowledge Alert
*AlertApi* | [**update_alert_description**](docs/AlertApi.md#update_alert_description) | **PUT** /v2/alerts/{identifier}/description | Update Alert Description
*AlertApi* | [**update_alert_message**](docs/AlertApi.md#update_alert_message) | **PUT** /v2/alerts/{identifier}/message | Update Alert Message
*AlertApi* | [**update_alert_priority**](docs/AlertApi.md#update_alert_priority) | **PUT** /v2/alerts/{identifier}/priority | Update Alert Priority
*AlertApi* | [**update_saved_search**](docs/AlertApi.md#update_saved_search) | **PATCH** /v2/alerts/saved-searches/{identifier} | Update Saved Search
*HeartbeatApi* | [**create_heartbeat**](docs/HeartbeatApi.md#create_heartbeat) | **POST** /v2/heartbeats | Create Heartbeat
*HeartbeatApi* | [**delete_heartbeat**](docs/HeartbeatApi.md#delete_heartbeat) | **DELETE** /v2/heartbeats/{name} | Delete Heartbeat
*HeartbeatApi* | [**disable_heartbeat**](docs/HeartbeatApi.md#disable_heartbeat) | **POST** /v2/heartbeats/{name}/disable | Disable Heartbeat
*HeartbeatApi* | [**enable_heartbeat**](docs/HeartbeatApi.md#enable_heartbeat) | **POST** /v2/heartbeats/{name}/enable | Enable Heartbeat
*HeartbeatApi* | [**get_heartbeat**](docs/HeartbeatApi.md#get_heartbeat) | **GET** /v2/heartbeats/{name} | Get Heartbeat
*HeartbeatApi* | [**list_heart_beats**](docs/HeartbeatApi.md#list_heart_beats) | **GET** /v2/heartbeats | List Heartbeats
*HeartbeatApi* | [**ping**](docs/HeartbeatApi.md#ping) | **GET** /v2/heartbeats/{name}/ping | Ping Heartbeat
*HeartbeatApi* | [**update_heartbeat**](docs/HeartbeatApi.md#update_heartbeat) | **PATCH** /v2/heartbeats/{name} | Update Heartbeat (Partial)
*IncidentApi* | [**close_incident**](docs/IncidentApi.md#close_incident) | **POST** /v1/incidents/{identifier}/close | Close Incident
*IncidentApi* | [**create_incident**](docs/IncidentApi.md#create_incident) | **POST** /v1/incidents/create | Create Incident
*IncidentApi* | [**delete_incident**](docs/IncidentApi.md#delete_incident) | **DELETE** /v1/incidents/{identifier} | Delete Incident
*IncidentApi* | [**get_incident**](docs/IncidentApi.md#get_incident) | **GET** /v1/incidents/{identifier} | Get Incident
*IncidentApi* | [**get_incident_request_status**](docs/IncidentApi.md#get_incident_request_status) | **GET** /v1/incidents/requests/{requestId} | Get Request Status of Incident
*IncidentApi* | [**list_incidents**](docs/IncidentApi.md#list_incidents) | **GET** /v1/incidents/ | List incidents


## Documentation For Models

 - [AccountInfo](docs/AccountInfo.md)
 - [AccountPlan](docs/AccountPlan.md)
 - [AcknowledgeAlertPayload](docs/AcknowledgeAlertPayload.md)
 - [AddDetailsToAlertPayload](docs/AddDetailsToAlertPayload.md)
 - [AddDetailsToAlertPayloadAllOf](docs/AddDetailsToAlertPayloadAllOf.md)
 - [AddNoteToAlertPayload](docs/AddNoteToAlertPayload.md)
 - [AddResponderToAlertPayload](docs/AddResponderToAlertPayload.md)
 - [AddResponderToAlertPayloadAllOf](docs/AddResponderToAlertPayloadAllOf.md)
 - [AddTagsToAlertPayload](docs/AddTagsToAlertPayload.md)
 - [AddTagsToAlertPayloadAllOf](docs/AddTagsToAlertPayloadAllOf.md)
 - [AddTeamToAlertPayload](docs/AddTeamToAlertPayload.md)
 - [AddTeamToAlertPayloadAllOf](docs/AddTeamToAlertPayloadAllOf.md)
 - [Alert](docs/Alert.md)
 - [AlertActionPayload](docs/AlertActionPayload.md)
 - [AlertAllOf](docs/AlertAllOf.md)
 - [AlertAttachment](docs/AlertAttachment.md)
 - [AlertAttachmentMeta](docs/AlertAttachmentMeta.md)
 - [AlertIntegration](docs/AlertIntegration.md)
 - [AlertLog](docs/AlertLog.md)
 - [AlertNote](docs/AlertNote.md)
 - [AlertPaging](docs/AlertPaging.md)
 - [AlertRecipient](docs/AlertRecipient.md)
 - [AlertReport](docs/AlertReport.md)
 - [AlertRequestStatus](docs/AlertRequestStatus.md)
 - [AlertTeamMeta](docs/AlertTeamMeta.md)
 - [AlertUserMeta](docs/AlertUserMeta.md)
 - [AllRecipient](docs/AllRecipient.md)
 - [AssignAlertPayload](docs/AssignAlertPayload.md)
 - [AssignAlertPayloadAllOf](docs/AssignAlertPayloadAllOf.md)
 - [BaseAlert](docs/BaseAlert.md)
 - [BaseIncident](docs/BaseIncident.md)
 - [BaseResponse](docs/BaseResponse.md)
 - [BaseResponseWithExpandable](docs/BaseResponseWithExpandable.md)
 - [BaseResponseWithExpandableAllOf](docs/BaseResponseWithExpandableAllOf.md)
 - [CloseAlertPayload](docs/CloseAlertPayload.md)
 - [CloseIncidentPayload](docs/CloseIncidentPayload.md)
 - [Condition](docs/Condition.md)
 - [CreateAlertPayload](docs/CreateAlertPayload.md)
 - [CreateAlertPayloadAllOf](docs/CreateAlertPayloadAllOf.md)
 - [CreateHeartbeatPayload](docs/CreateHeartbeatPayload.md)
 - [CreateHeartbeatPayloadAllOf](docs/CreateHeartbeatPayloadAllOf.md)
 - [CreateHeartbeatPayloadAllOfOwnerTeam](docs/CreateHeartbeatPayloadAllOfOwnerTeam.md)
 - [CreateHeartbeatResponse](docs/CreateHeartbeatResponse.md)
 - [CreateHeartbeatResponseAllOf](docs/CreateHeartbeatResponseAllOf.md)
 - [CreateIncidentPayload](docs/CreateIncidentPayload.md)
 - [CreateIncidentPayloadAllOf](docs/CreateIncidentPayloadAllOf.md)
 - [CreateSavedSearchPayload](docs/CreateSavedSearchPayload.md)
 - [CreateSavedSearchResponse](docs/CreateSavedSearchResponse.md)
 - [CreateSavedSearchResponseAllOf](docs/CreateSavedSearchResponseAllOf.md)
 - [DisableHeartbeatResponse](docs/DisableHeartbeatResponse.md)
 - [DisableHeartbeatResponseAllOf](docs/DisableHeartbeatResponseAllOf.md)
 - [Duration](docs/Duration.md)
 - [EnableHeartbeatResponse](docs/EnableHeartbeatResponse.md)
 - [ErrorResponse](docs/ErrorResponse.md)
 - [ErrorResponseAllOf](docs/ErrorResponseAllOf.md)
 - [EscalateAlertToNextPayload](docs/EscalateAlertToNextPayload.md)
 - [EscalateAlertToNextPayloadAllOf](docs/EscalateAlertToNextPayloadAllOf.md)
 - [EscalationRecipient](docs/EscalationRecipient.md)
 - [ExecuteCustomAlertActionPayload](docs/ExecuteCustomAlertActionPayload.md)
 - [Filter](docs/Filter.md)
 - [GetAccountInfoResponse](docs/GetAccountInfoResponse.md)
 - [GetAccountInfoResponseAllOf](docs/GetAccountInfoResponseAllOf.md)
 - [GetAlertAttachmentResponse](docs/GetAlertAttachmentResponse.md)
 - [GetAlertAttachmentResponseAllOf](docs/GetAlertAttachmentResponseAllOf.md)
 - [GetAlertResponse](docs/GetAlertResponse.md)
 - [GetAlertResponseAllOf](docs/GetAlertResponseAllOf.md)
 - [GetCountAlertsResponse](docs/GetCountAlertsResponse.md)
 - [GetCountAlertsResponseAllOf](docs/GetCountAlertsResponseAllOf.md)
 - [GetCountAlertsResponseAllOfData](docs/GetCountAlertsResponseAllOfData.md)
 - [GetHeartbeatResponse](docs/GetHeartbeatResponse.md)
 - [GetIncidentRequestStatusResponse](docs/GetIncidentRequestStatusResponse.md)
 - [GetIncidentRequestStatusResponseAllOf](docs/GetIncidentRequestStatusResponseAllOf.md)
 - [GetIncidentResponse](docs/GetIncidentResponse.md)
 - [GetIncidentResponseAllOf](docs/GetIncidentResponseAllOf.md)
 - [GetRequestStatusResponse](docs/GetRequestStatusResponse.md)
 - [GetRequestStatusResponseAllOf](docs/GetRequestStatusResponseAllOf.md)
 - [GetSavedSearchResponse](docs/GetSavedSearchResponse.md)
 - [GetSavedSearchResponseAllOf](docs/GetSavedSearchResponseAllOf.md)
 - [GroupRecipient](docs/GroupRecipient.md)
 - [Heartbeat](docs/Heartbeat.md)
 - [HeartbeatMeta](docs/HeartbeatMeta.md)
 - [Incident](docs/Incident.md)
 - [IncidentActionPayload](docs/IncidentActionPayload.md)
 - [IncidentAllOf](docs/IncidentAllOf.md)
 - [IncidentRequestStatus](docs/IncidentRequestStatus.md)
 - [ListAlertAttachmentsResponse](docs/ListAlertAttachmentsResponse.md)
 - [ListAlertAttachmentsResponseAllOf](docs/ListAlertAttachmentsResponseAllOf.md)
 - [ListAlertLogsResponse](docs/ListAlertLogsResponse.md)
 - [ListAlertLogsResponseAllOf](docs/ListAlertLogsResponseAllOf.md)
 - [ListAlertNotesResponse](docs/ListAlertNotesResponse.md)
 - [ListAlertNotesResponseAllOf](docs/ListAlertNotesResponseAllOf.md)
 - [ListAlertRecipientsResponse](docs/ListAlertRecipientsResponse.md)
 - [ListAlertRecipientsResponseAllOf](docs/ListAlertRecipientsResponseAllOf.md)
 - [ListAlertsResponse](docs/ListAlertsResponse.md)
 - [ListAlertsResponseAllOf](docs/ListAlertsResponseAllOf.md)
 - [ListHeartbeatResponse](docs/ListHeartbeatResponse.md)
 - [ListHeartbeatResponseAllOf](docs/ListHeartbeatResponseAllOf.md)
 - [ListHeartbeatResponseAllOfData](docs/ListHeartbeatResponseAllOfData.md)
 - [ListIncidentsResponse](docs/ListIncidentsResponse.md)
 - [ListIncidentsResponseAllOf](docs/ListIncidentsResponseAllOf.md)
 - [ListSavedSearchesResponse](docs/ListSavedSearchesResponse.md)
 - [ListSavedSearchesResponseAllOf](docs/ListSavedSearchesResponseAllOf.md)
 - [MatchAll](docs/MatchAll.md)
 - [MatchAllConditions](docs/MatchAllConditions.md)
 - [MatchAnyCondition](docs/MatchAnyCondition.md)
 - [MatchAnyConditionAllOf](docs/MatchAnyConditionAllOf.md)
 - [NoRecipient](docs/NoRecipient.md)
 - [PageDetails](docs/PageDetails.md)
 - [Recipient](docs/Recipient.md)
 - [Responder](docs/Responder.md)
 - [SavedSearch](docs/SavedSearch.md)
 - [SavedSearchEntity](docs/SavedSearchEntity.md)
 - [SavedSearchMeta](docs/SavedSearchMeta.md)
 - [ScheduleRecipient](docs/ScheduleRecipient.md)
 - [SnoozeAlertPayload](docs/SnoozeAlertPayload.md)
 - [SnoozeAlertPayloadAllOf](docs/SnoozeAlertPayloadAllOf.md)
 - [StatusPageEntry](docs/StatusPageEntry.md)
 - [StatusPageEntryAllOf](docs/StatusPageEntryAllOf.md)
 - [SuccessData](docs/SuccessData.md)
 - [SuccessResponse](docs/SuccessResponse.md)
 - [SuccessResponseAllOf](docs/SuccessResponseAllOf.md)
 - [TeamRecipient](docs/TeamRecipient.md)
 - [TeamRecipientAllOf](docs/TeamRecipientAllOf.md)
 - [TeamResponder](docs/TeamResponder.md)
 - [TimeOfDayRestriction](docs/TimeOfDayRestriction.md)
 - [TimeOfDayRestrictionInterval](docs/TimeOfDayRestrictionInterval.md)
 - [TimeOfDayRestrictionIntervalAllOf](docs/TimeOfDayRestrictionIntervalAllOf.md)
 - [TimeRestrictionInterval](docs/TimeRestrictionInterval.md)
 - [UnAcknowledgeAlertPayload](docs/UnAcknowledgeAlertPayload.md)
 - [UpdateAlertDescriptionPayload](docs/UpdateAlertDescriptionPayload.md)
 - [UpdateAlertMessagePayload](docs/UpdateAlertMessagePayload.md)
 - [UpdateAlertPriorityPayload](docs/UpdateAlertPriorityPayload.md)
 - [UpdateHeartbeatPayload](docs/UpdateHeartbeatPayload.md)
 - [UpdateHeartbeatResponse](docs/UpdateHeartbeatResponse.md)
 - [UpdateSavedSearchPayload](docs/UpdateSavedSearchPayload.md)
 - [UserRecipient](docs/UserRecipient.md)
 - [UserRecipientAllOf](docs/UserRecipientAllOf.md)
 - [UserResponder](docs/UserResponder.md)
 - [UserResponderAllOf](docs/UserResponderAllOf.md)
 - [WeekdayTimeRestriction](docs/WeekdayTimeRestriction.md)
 - [WeekdayTimeRestrictionInterval](docs/WeekdayTimeRestrictionInterval.md)
 - [WeekdayTimeRestrictionIntervalAllOf](docs/WeekdayTimeRestrictionIntervalAllOf.md)


## Documentation For Authorization


## GenieKey

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

support@opsgenie.com


